Bug 426847 - jigdo-lite doesn't recognize filename for existing media if it has special characters
jigdo-lite doesn't recognize filename for existing media if it has special ch...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jigdo (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 05:34 EST by Andre Robatino
Modified: 2012-08-16 17:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2007-12-27 05:34:46 EST
Description of problem:
  jigdo-lite prompts for a path under which existing media containing packages
is mounted.  Typically, it's enough to just use the default selection "/media",
in which case it recursively checks everything under /media.  However, it's
possible there may be other large media mounted under /media (such as
automounted external hard drives), in which case to avoid reading them one needs
to specify the exact path under which the Fedora CD or DVD is mounted.  For
example, for the Fedora Unity 20070912 DVD the path is

/media/\"FU\ 20070912\ 7\ i386\ DVD\"/

but if you try to specify this to jigdo-lite, it doesn't recognize it:

Skipping object `/media/\"FU\ 20070912\ 7\ i386\ DVD\"/' (No such file or directory)
Found 0 of the 580 files required by the template
Will not create image or temporary file - try again with different input files

This necessitates ugly workarounds such as creating a temporary symlink without
special characters, and giving that to jigdo-lite:

ln -s /media/\"FU\ 20070912\ 7\ i386\ DVD\"/ /tmp/tmplink

and if one points jigdo-lite to /tmp/tmplink, then it works.  But the original
version should work.

Version-Release number of selected component (if applicable):
jigdo-0.7.3-4.fc8

How reproducible:
always
Comment 1 Jonathan Steffan 2008-01-16 13:33:33 EST
I'm not sure if this will ever be fixed in jigdo-lite. In our brief
conversations with upstream, jigdo-lite has reached it's EOL, though I don't
speak for the current upstream. I would be interested in see if pyjigdo has the
same issue. You can install the alpha release with 'yum install pyjigdo'. Let us
know how it works out.
Comment 2 Andre Robatino 2008-01-17 05:34:17 EST
  pyjigdo has the exact same problem, which I've reported as bug #429099.
Comment 3 Jeroen van Meeuwen 2008-01-24 09:33:35 EST
Should we mark this bug as a duplicate for #429099 ?
Comment 4 Bug Zapper 2008-11-26 04:11:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:38:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Andre Robatino 2009-01-09 01:09:24 EST
Just tested this on F10 with jigdo-0.7.3-7.fc10.x86_64.  Bug still exists.  Changing Version to 10.

Skipping object `/media/Fedora\ 9\ i386\ DVD/' (No such file or directory)
Found 0 of the 2262 files required by the template
Will not create image or temporary file - try again with different input files
Comment 7 Frank Murphy 2009-03-10 07:56:50 EDT
try with just jigdo "/media/Fedora Whatever"

Worked for me here
Comment 8 Andre Robatino 2009-03-10 08:27:23 EDT
When I use either

jigdo "/media/Fedora\ 9\ i386\ DVD/"

or

jigdo /media/Fedora\ 9\ i386\ DVD/

with the disc mounted, the GUI gives me the error message

URL using bad/illegal format or missing URL
Comment 9 Bug Zapper 2009-11-18 07:24:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andre Robatino 2009-11-18 09:33:37 EST
Still broken in F12 with jigdo-0.7.3-9.fc12.
Comment 11 Jonathan Steffan 2010-04-10 19:34:35 EDT
I'll look at adding a patch for jigdo-lite and potentially the GUI, but this should really go upstream.
Comment 12 Andre Robatino 2010-06-20 09:34:27 EDT
Still broken in Rawhide with jigdo-0.7.3-9.fc12.
Comment 13 Bug Zapper 2010-07-30 06:30:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora End Of Life 2012-08-16 17:54:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.